Package org.zkoss.zk.ui

## Class HtmlBasedComponent.ExtraCtrl

- java.lang.Object
- - org.zkoss.zk.ui.HtmlBasedComponent.ExtraCtrl

- All Implemented Interfaces:
    `PrologAllowed`
  Direct Known Subclasses:
    `Audio.ExtraCtrl`, `Chosenbox.ExtraCtrl`, `Combobox.ExtraCtrl`, `Cropper.ExtraCtrl`, `Datebox.ExtraCtrl`, `Grid.ExtraCtrl`, `Iframe.ExtraCtrl`, `Image.ExtraCtrl`, `LabelImageElement.ExtraCtrl`, `Lineitem.ExtraCtrl`, `Listbox.ExtraCtrl`, `Listitem.ExtraCtrl`, `Pdfviewer.ExtraCtrl`, `Row.ExtraCtrl`, `Rows.ExtraCtrl`, `Selectbox.ExtraCtrl`, `Treechildren.ExtraCtrl`, `Video.ExtraCtrl`
  Enclosing class:
    HtmlBasedComponent

      protected class HtmlBasedComponent.ExtraCtrl
      extends java.lang.Object
      implements PrologAllowed

  A utility class to implement `HtmlBasedComponent.getExtraCtrl()`. It is used only by component developers.

  If a component requires more client controls, it is suggested to override `HtmlBasedComponent.getExtraCtrl()` to return an instance that extends from this class.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ExtraCtrl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setPrologContent​(java.lang.String prolog)` | Sets the prolog content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtraCtrl

          protected ExtraCtrl()

  - ### Method Detail

    - #### setPrologContent

          public void setPrologContent​(java.lang.String prolog)

      Description copied from interface: `PrologAllowed`
      Sets the prolog content. It is the content generated before the child components, if any.

      Default: none.

      Note: the prolog is one-shot only. Once the component is generated, the prolog is gone.

      Specified by:
        `setPrologContent` in interface `PrologAllowed`